/* e-book-backend-android.h - Android contact backend.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 *
 */

#ifndef E_BOOK_BACKEND_ANDROID_H
#define E_BOOK_BACKEND_ANDRODI_H

#include <libedata-book/e-book-backend.h>

/* Standard GObject macros */
#define E_TYPE_BOOK_BACKEND_ANDROID             (e_book_backend_android_get_type ())
#define E_BOOK_BACKEND_ANDROID(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), E_TYPE_BOOK_BACKEND_ANDROID, EBookBackendAndroid))
#define E_BOOK_BACKEND_ANDROID_CLASS(cls)       (G_TYPE_CHECK_CLASS_CAST ((cls), E_TYPE_BOOK_BACKEND_ANDROID, EBookBackendAndroidClass))
#define E_IS_BOOK_BACKEND_ANDROID(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), E_TYPE_BOOK_BACKEND_ANDROID))
#define E_IS_BOOK_BACKEND_ANDROID_CLASS(cls)    (G_TYPE_CHECK_CLASS_TYPE ((cls), E_TYPE_BOOK_BACKEND_ANDROID))
#define E_BOOK_BACKEND_ANDROID_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), E_TYPE_BOOK_BACKEND_ANDROID, EBookBackendAndroidClass))


G_BEGIN_DECLS

typedef struct _EBookBackendAndroid EBookBackendAndroid;
typedef struct _EBookBackendAndroidClass EBookBackendAndroidClass;
typedef struct _EBookBackendAndroidPrivate EBookBackendAndroidPrivate;

struct _EBookBackendAndroid {
    EBookBackend parent;
    EBookBackendAndroidPrivate *priv;
};

struct _EBookBackendAndroidClass {
    EBookBackendClass parent_class;
};

EBookBackend   *e_book_backend_android_new  (void);
GType           e_book_backend_android_get_tye  (void);

G_END_DECLS

#endif /* E_BOOK_BACKEND_ANDROID_H */

